> ## Documentation Index
> Fetch the complete documentation index at: https://avala.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Exports

> List all exported_ results, check the _status_, and get the _download URL_.



## OpenAPI

````yaml GET /exports/
openapi: 3.0.0
info:
  title: Avala API
  description: >

    # Authentication


    ## Generating an API Key


    The Avala SDK uses API keys to authenticate requests. You can create and
    manage your API keys from the

    Settings page of Mission Control.


    Follow these steps to generate a new API key:


    1. Open your settings page by clicking on your user avatar located at the
    top right-hand corner of any
        Mission Control screen, and select `Settings`.
    2. From the left-hand sub-menu, select `Security & Identity`.

    3. Click on `New API Key`, enter a name for the key, and then click `Create
    key`.


    The new key will be automatically copied to your clipboard. Please note, for
    security reasons, the key

    will not be accessible once you close the window. Ensure you store it in a
    safe location before closing

    the pop-up modal.


    ### Video walkthrough of API key generation


    <iframe class="embedly-embed"
    src="//cdn.embedly.com/widgets/media.html?src=https%3A%2F%2F
        www.youtube.com%2Fembed%2FTYdLhkAAbLA%3Ffeature%3Doembed&display_name=YouTube&url=https%3A%2F%2F
        www.youtube.com%2Fwatch%3Fv%3DTYdLhkAAbLA&image=https%3A%2F%2Fi.ytimg.com%2Fvi%2FTYdLhkAAbLA%2F
        hqdefault.jpg&key=7788cb384c9f4d5dbbdbeffd9fe4b92f&type=text%2Fhtml&schema=youtube" width="854"
        height="480" scrolling="no" title="YouTube embed" frameborder="0" allow="autoplay;
        fullscreen; encrypted-media; picture-in-picture;" allowfullscreen="true"></iframe>


    ## Authenticating with an API Key


    This is the easiest part! Just add a header named `X-Avala-Api-Key` to your
    requests and set the

    previously generated API Key as the value.
  termsOfService: https://avala.ai/legal/terms
  contact:
    email: support@avala.ai
  version: v1
servers:
  - url: https://api.avala.ai/api/v1
security:
  - API_Key: []
  - JWT: []
tags:
  - name: datasets
    description: To be completed...
  - name: projects
    description: To be completed...
  - name: tasks
    description: List and retrieve annotation tasks.
  - name: exports
    description: To be completed...
paths:
  /exports/:
    parameters: []
    get:
      tags:
        - exports
      summary: /api/v1/exports/
      description: >-
        ### List all _exported_ results, check the _status_, and get the
        _download URL_
      operationId: exports_list
      parameters:
        - name: ordering
          in: query
          description: Which field to use when ordering the results.
          required: false
          schema:
            type: string
        - name: cursor
          in: query
          description: The pagination cursor value.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: Number of results to return per page.
          required: false
          schema:
            type: integer
        - name: order
          in: query
          description: >-
            Sets the CursorPagination `offset` when `cursor` is also set. e.g.
            `cursor=...&offset=1`
          schema:
            type: string
        - name: reverse
          in: query
          description: >-
            Sets the CursorPagination `reverse` when `cursor` is also set. e.g.
            `cursor=...&reverse=1`.
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                required:
                  - results
                type: object
                properties:
                  next:
                    type: string
                    format: uri
                    nullable: true
                  previous:
                    type: string
                    format: uri
                    nullable: true
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/ResultExport'
components:
  schemas:
    ResultExport:
      required:
        - name
        - format
        - datasets
        - slices
        - projects
      type: object
      properties:
        uid:
          title: Uid
          type: string
          format: uuid
          readOnly: true
        name:
          title: Name
          type: string
          maxLength: 255
          minLength: 1
        format:
          title: Format
          type: string
          enum:
            - avala-json-external
            - YOLO
        filter_query_string:
          title: Filter query string
          type: string
          nullable: true
        total_task_count:
          title: Total task count
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        exported_task_count:
          title: Exported task count
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        download_url:
          title: Download url
          type: string
          readOnly: true
          nullable: true
        status:
          title: Status
          type: string
          enum:
            - requested
            - aborted
            - exporting
            - exported
            - failed
        datasets:
          type: array
          items:
            type: string
            format: uuid
          uniqueItems: true
        slices:
          type: array
          items:
            type: string
            format: uuid
          uniqueItems: true
        projects:
          type: array
          items:
            type: string
            format: uuid
          uniqueItems: true
        organization:
          $ref: '#/components/schemas/Organization'
        created_at:
          title: Created at
          type: string
          format: date-time
          readOnly: true
    Organization:
      required:
        - name
      type: object
      properties:
        uid:
          title: Uid
          type: string
          format: uuid
          readOnly: true
        name:
          title: Name
          type: string
          maxLength: 1024
          minLength: 1
        slug:
          title: Slug
          type: string
          format: slug
          pattern: ^[-a-zA-Z0-9_]+$
          readOnly: true
          minLength: 1
        description:
          title: Description
          type: string
          maxLength: 1024
        logo:
          title: Logo
          type: string
          readOnly: true
          format: uri
          nullable: true
        website:
          title: Website
          type: string
          format: uri
        public_slug:
          title: Public slug
          description: >-
            Canonical slug for URL rendering. Coworker viewers receive the
            organization's codename; others receive the real slug.
          type: string
          readOnly: true
      nullable: true
  securitySchemes:
    API_Key:
      type: apiKey
      name: X-Avala-Api-Key
      in: header
      description: >-
        API key for authentication. Generate one in Mission Control Settings >
        Security & Identity.
    JWT:
      type: apiKey
      name: Authorization
      in: header
      description: JWT token with 'JWT' prefix, e.g., 'JWT eyJhbGciOiJIUzI1NiIsInR...'

````